<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.bonus.bonus.mapper.CuMemberRepeatBonusMapper">

    <insert id="insertCuMemberRepeatBonus">
        insert ALL
        <foreach item="item" index="index" collection="cuMemberRepeatBonusList" separator="  ">
            into CU_MEMBER_REPEAT_BONUS(pk_member, period, pk_rate,
            direct_income, expand_income, coach_income, share_income, service_income,
            back_points, service_spend, pur_real_subtotal,
            maker_direct_income, maker_share_income, maker_real_subtotal, real_income_total,
            pk_country, pk_creator)
            values (#{item.pkMember}, #{item.period}, #{item.pkRate, jdbcType=INTEGER},
            #{item.directIncome}, #{item.expandIncome}, #{item.coachIncome}, #{item.shareIncome}, #{item.serviceIncome},
            #{item.backPoints}, #{item.serviceSpend}, #{item.purRealSubtotal},
            #{item.makerDirectIncome}, #{item.makerShareIncome}, #{item.makerRealSubtotal}, #{item.realIncomeTotal},
            #{item.pkCountry}, #{item.pkCreator})
        </foreach>
        SELECT 1 FROM dual
    </insert>

</mapper>
